<?php

use Backend\Models\GameData;
use Backend\Models\Vote;
use \Backend\Models\Registration;

require_once "../../../bootstrap.php";
require_once "../Group/Group.php";

if (isLogin()) {

    $gameDate = GameData::find($_GET[]);
    if(!$gameDate){
        http_response_code(400);
        echo json_encode(["message" => "game data not found"]);
        exit();
    }
    $reg = Registration::where("game_data_id", $gameDate->id)->first();
    $group = groupViaToken($_SESSION['token']);
    if($reg->group_id !== $group->id){
        http_response_code(401);
        echo json_encode(["message" => "group not own game data"]);
    }

    header('Content-Type: application/json;charset=UTF-8');
    echo json_encode(array('data' => Vote::where('game_data_id',$gameDate->id)->get()->jsonSerialize()));

} else {
    http_response_code(401);
    echo json_encode(["message" => "not login"]);
}
