<?php

namespace Backend\Models;

use Illuminate\Database\Eloquent\Model as Eloquent;

class Group extends Eloquent
{
    protected $fillable = [
        'group_name', 'group_amount', 'votes'
    ];


    public function password()
    {
        return $this->hasOne(Password::class);
    }

    public function registrations()
    {
        return $this->hasMany(Registration::class);
    }

}
